gr::dab::ofdm_sampler_impl Class Reference

cuts stream of DAB samples into symbol vectors More...

`#include <ofdm_sampler_impl.h>`

Inheritance diagram for gr::dab::ofdm_sampler_impl:
[legend]

## Public Member Functions

| ofdm_sampler_impl (unsigned int fft_length, unsigned int cp_length, unsigned int symbols_per_frame, unsigned int gap)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::ofdm_sampler
typedef std::shared_ptr< ofdm_sampler > | sptr
Static Public Member Functions inherited from gr::dab::ofdm_sampler
static sptr | make (unsigned int fft_length, unsigned int cp_length, unsigned int symbols_per_frame, unsigned int gap)
| Return a shared_ptr to a new instance of dab::ofdm_sampler.

## Detailed Description

cuts stream of DAB samples into symbol vectors

Parameters

  fft_length | length of the output vectors - number of samples per symbol without cyclic prefix
  cp_length | lengith of the cyclic prefix
  symbols_per_frame | number of symbols in a DAB frame, without Null symbol
  gap | If the gap is > 0, leave a gap at the end of the symbol, i.e. return some of the cyclic prefix instead of the end of the symbol

input: port 0: complex - actual data; port 1: byte stream with trigger signal indicating the start of a frame output: port 0: complex vectors - sampled data; port 1: byte stream with trigger signal indicating the start of a frame

## Constructor & Destructor Documentation

## ofdm_sampler_impl()

gr::dab::ofdm_sampler_impl::ofdm_sampler_impl | ( | unsigned int | fft_length,
|  | unsigned int | cp_length,
|  | unsigned int | symbols_per_frame,
|  | unsigned int | gap )

## Member Function Documentation

## forecast()

void gr::dab::ofdm_sampler_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::dab::ofdm_sampler_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- ofdm_sampler_impl.h